Bug 1536912 - Revert downstream patch for bug 1535992 (qemu-img info -U)
Summary: Revert downstream patch for bug 1535992 (qemu-img info -U)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Tingting Mao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 02:38 UTC by Fam Zheng
Modified: 2018-11-01 11:04 UTC (History)
8 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 11:04:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fam Zheng 2018-01-22 02:38:08 UTC
The downstream patch is only needed for RHEL 7.5, we should revert it in following releases:

qemu-img: info: Force -U [downstream]

Comment 3 Tingting Mao 2018-05-10 02:43:14 UTC
Tested this issue with the packages and steps as below:

Packages tested:
kernel-3.10.0-884.el7
qemu-kvm-rhev-2.12.0-1.el7

Test steps:
Scenario 1:
1.Boot a VM from base.qcow2
2.Check the info of the base.qcow2 -----> It should be failed
# qemu-img info base.qcow2
qemu-img: Could not open 'base.qcow2': Failed to get shared "write" lock
Is another process using the image?
3.Check the info of the base.qcow2 with "-U" ----> Output the info correctly
# qemu-img info base.qcow2 -U
image: base.qcow2
file format: qcow2
virtual size: 20G (21474836480 bytes)
disk size: 1.8G
cluster_size: 65536
Format specific information:
    compat: 1.1
    lazy refcounts: false
    refcount bits: 16
    corrupt: false

Scenario 2:
1.Create snapshot of base.qcow2
# qemu-img create -f qcow2 -F qcow2 -b base.qcow2 sn.qcow2
2.Boot a VM from base.qcow2
3.Check the info of sn.qcow2 with "--backing-chain"
# qemu-img info sn.qcow2 --backing-chain
qemu-img: Could not open 'base.qcow2': Failed to get shared "write" lock
Is another process using the image?

Comment 4 Tingting Mao 2018-05-10 02:51:33 UTC
Hi Miroslav,

I tested this issue as comment 3, it seems that the bug is fixed.So I would like to know whether we could change the status of this bug.
Thank you in advance.

Comment 5 Miroslav Rezanina 2018-05-10 04:34:03 UTC
Yes, it can be changed...I'll add the BZ to errata during next update.

Comment 7 Ping Li 2018-05-16 10:19:09 UTC
Set the bug as verified according to the comment 3

Comment 8 errata-xmlrpc 2018-11-01 11:04:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.